Package org.jboss.resteasy.jsapi.i18n

## Class Messages_$bundle

- java.lang.Object
- - org.jboss.resteasy.jsapi.i18n.Messages_$bundle

- All Implemented Interfaces:
    `Serializable`, `Messages`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2021-10-01T14:27:06-0700")
      public class Messages_$bundle
      extends Object
      implements Messages, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Messages_$bundle` | `INSTANCE` |

    - ### Fields inherited from interface org.jboss.resteasy.jsapi.i18n.Messages

      `BASE, MESSAGES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Messages_$bundle()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Locale` | `getLoggingLocale()` |
    `String` | `impossibleToGenerateJsapi​(String className, String methodName)` |
    `protected String` | `impossibleToGenerateJsapi$str()` |
    `String` | `invoker​(ResourceMethodInvoker invoker)` |
    `protected String` | `invoker$str()` |
    `String` | `jsapiServletLoaded()` |
    `protected String` | `jsapiServletLoaded$str()` |
    `String` | `loadingJSAPIServlet()` |
    `protected String` | `loadingJSAPIServlet$str()` |
    `String` | `overridingConsumes()` |
    `protected String` | `overridingConsumes$str()` |
    `String` | `path​(String uri)` |
    `protected String` | `path$str()` |
    `String` | `query​(String query)` |
    `protected String` | `query$str()` |
    `protected Object` | `readResolve()` |
    `String` | `restApiUrl​(String uri)` |
    `protected String` | `restApiUrl$str()` |
    `String` | `serving​(String pathinfo)` |
    `protected String` | `serving$str()` |
    `String` | `startJaxRsApi()` |
    `protected String` | `startJaxRsApi$str()` |
    `String` | `startResteasyClient()` |
    `protected String` | `startResteasyClient$str()` |
    `String` | `thereAreNoResteasyDeployments()` |
    `protected String` | `thereAreNoResteasyDeployments$str()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final Messages_$bundle INSTANCE

  - ### Constructor Detail

    - #### Messages_$bundle

          protected Messages_$bundle()

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### impossibleToGenerateJsapi$str

          protected String impossibleToGenerateJsapi$str()

    - #### impossibleToGenerateJsapi

          public final String impossibleToGenerateJsapi​(String className,
                                                        String methodName)

      Specified by:
        `impossibleToGenerateJsapi` in interface `Messages`

    - #### invoker$str

          protected String invoker$str()

    - #### invoker

          public final String invoker​(ResourceMethodInvoker invoker)

      Specified by:
        `invoker` in interface `Messages`

    - #### jsapiServletLoaded$str

          protected String jsapiServletLoaded$str()

    - #### jsapiServletLoaded

          public final String jsapiServletLoaded()

      Specified by:
        `jsapiServletLoaded` in interface `Messages`

    - #### loadingJSAPIServlet$str

          protected String loadingJSAPIServlet$str()

    - #### loadingJSAPIServlet

          public final String loadingJSAPIServlet()

      Specified by:
        `loadingJSAPIServlet` in interface `Messages`

    - #### overridingConsumes$str

          protected String overridingConsumes$str()

    - #### overridingConsumes

          public final String overridingConsumes()

      Specified by:
        `overridingConsumes` in interface `Messages`

    - #### path$str

          protected String path$str()

    - #### path

          public final String path​(String uri)

      Specified by:
        `path` in interface `Messages`

    - #### query$str

          protected String query$str()

    - #### query

          public final String query​(String query)

      Specified by:
        `query` in interface `Messages`

    - #### restApiUrl$str

          protected String restApiUrl$str()

    - #### restApiUrl

          public final String restApiUrl​(String uri)

      Specified by:
        `restApiUrl` in interface `Messages`

    - #### serving$str

          protected String serving$str()

    - #### serving

          public final String serving​(String pathinfo)

      Specified by:
        `serving` in interface `Messages`

    - #### startJaxRsApi$str

          protected String startJaxRsApi$str()

    - #### startJaxRsApi

          public final String startJaxRsApi()

      Specified by:
        `startJaxRsApi` in interface `Messages`

    - #### startResteasyClient$str

          protected String startResteasyClient$str()

    - #### startResteasyClient

          public final String startResteasyClient()

      Specified by:
        `startResteasyClient` in interface `Messages`

    - #### thereAreNoResteasyDeployments$str

          protected String thereAreNoResteasyDeployments$str()

    - #### thereAreNoResteasyDeployments

          public final String thereAreNoResteasyDeployments()

      Specified by:
        `thereAreNoResteasyDeployments` in interface `Messages`